{% block sw_field_copyable %}
<sw-button
    class="swag-guided-shopping-appointment-button-copyable"
    :class="{
        'is-compact': compact
    }"
    @click="copyToClipboard"
    v-tooltip="{
        message: tooltipText,
        width: 'auto',
        position: 'top',
        showDelay: 300,
        hideDelay: 0
    }">
    <sw-icon
        class="sw-field-copyable"
        name="regular-products-s"
    />
    <slot />
</sw-button>
{% endblock %}
